OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
ParagraphLayouter::VisualRun Class Reference

Visual run contains data about the bit of text with the same font. More...

`#include <gfx_layout.h>`

Inheritance diagram for ParagraphLayouter::VisualRun:

## Public Member Functions
virtual const Font * | GetFont () const =0
virtual int | GetGlyphCount () const =0
virtual const GlyphID * | GetGlyphs () const =0
virtual const float * | GetPositions () const =0
virtual int | GetLeading () const =0
virtual const int * | GetGlyphToCharMap () const =0

## Detailed Description

Visual run contains data about the bit of text with the same font.

Definition at line 108 of file gfx_layout.h.

The documentation for this class was generated from the following file:

- src/gfx_layout.h